org.codehaus.groovy.vmplugin

## Class VMPluginFactory

- java.lang.Object
- - org.codehaus.groovy.vmplugin.VMPluginFactory

-     public class VMPluginFactory
      extends java.lang.Object

  Factory class to get functionality based on the VM version. The usage of this class is not for public use, only for the runtime.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VMPluginFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VMPlugin` | `getPlugin()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VMPluginFactory

          public VMPluginFactory()

  - ### Method Detail

    - #### getPlugin

          public static VMPlugin getPlugin()